Create Global Cluster (V2)
This operation creates a global cluster. A global cluster consists of multiple member clusters deployed in different regions. The member clusters in a global cluster share the same CU type and CU size. You can create global clusters to provide disaster recovery and low latency access across regions.
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
The authentication token should be an API key with appropriate privileges.
Name of the global cluster.
ID of the project that the global cluster belongs to.
Compute unit (CU) type of the global cluster. Members of a global cluster share the same CU type.
Compute unit (CU) size of the global cluster. Members of a global cluster share the same CU size.
For members in a global cluster, the value can be 1 to 1,024, and possible values can be 1, 2, 4, 8, 12, 16, 20, 24, 28, 32,…,64, 72, 80, 88,…,256, 272, 288, …,1024.
For details on the increment rules for the CU size, refer to the Deployment section in Detailed Plan Comparison.
Parameters for the primary cluster of the global cluster.
Name of the primary cluster.
Region ID where the primary cluster is deployed. The region must be one of the applicable regions in the specified project.
Parameters for the secondary clusters of the global cluster. You can specify one or more secondary clusters.
Name of a secondary cluster.
Region ID where the secondary cluster is deployed. The region must be one of the applicable regions in the specified project, and must be different from the region where the primary cluster is deployed.
export TOKEN="YOUR_API_KEY"
curl --request POST \
--url "${BASE_URL}/v2/globalClusters/create" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json" \
-d '{
"globalClusterName": "my-global-cluster",
"projectId": "proj-xxxxxxxxxxxxxxx",
"cuType": "Performance-optimized",
"cuSize": 4,
"primaryCluster": {
"clusterName": "my-primary-cluster",
"regionId": "aws-us-west-2"
},
"secondaryClusters": [
{
"clusterName": "my-secondary-cluster-1",
"regionId": "aws-eu-west-1"
},
{
"clusterName": "my-secondary-cluster-2",
"regionId": "aws-ap-southeast-1"
}
]
}'
ID of the created global cluster.
Username for accessing the global cluster.
Password for accessing the global cluster.
ID of the job for creating the global cluster. You can use this ID to query the progress of the creation job.
Returns an error message.
Response code.
Error message.
{
"globalClusterId": "glo-xxxxxxxxxxxxxxx",
"username": "db_admin",
"password": "Passw0rd!",
"jobId": "job-xxxxxxxxxxxxxxx"
}